> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeroentropy.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Info List

> Retrives a list of document metadata information that matches the provided filters.

The documents returned will be sorted by path in lexicographically ascending order. `path_gt` can be used for pagination, and should be set to the path of the last document returned in the previous call.

A `404 Not Found` will be returned if either the collection name does not exist, or the document path does not exist within the provided collection.



## OpenAPI

````yaml post /documents/get-document-info-list
openapi: 3.1.0
info:
  title: ZeroEntropy API
  description: This API provides access to ZeroEntropy's SoTA retrieval pipeline. Enjoy!
  version: 0.1.0
servers:
  - url: https://api.zeroentropy.dev/v1
    description: ZeroEntropy API
  - url: https://eu-api.zeroentropy.dev/v1
    description: ZeroEntropy API (EU datacenters)
security: []
paths:
  /documents/get-document-info-list:
    post:
      tags:
        - Documents
      summary: Get Document Info List
      description: >-
        Retrives a list of document metadata information that matches the
        provided filters.


        The documents returned will be sorted by path in lexicographically
        ascending order. `path_gt` can be used for pagination, and should be set
        to the path of the last document returned in the previous call.


        A `404 Not Found` will be returned if either the collection name does
        not exist, or the document path does not exist within the provided
        collection.
      operationId: get_document_info_list_documents_get_document_info_list_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDocumentInfoListRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDocumentInfoListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail: Description of Error
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail: Description of Error
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetDocumentInfoListRequest:
      properties:
        collection_name:
          type: string
          title: Collection Name
          description: The name of the collection.
        limit:
          type: integer
          title: Limit
          description: >-
            The maximum number of documents to return. This field is by default
            1024, and cannot be set larger than 1024
          default: 1024
        path_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Path Prefix
          description: >-
            All documents returned will have a path that starts with the
            provided path prefix.
        path_gt:
          anyOf:
            - type: string
            - type: 'null'
          title: Path Gt
          description: >-
            All documents returned will have a path strictly greater than the
            provided `path_gt` argument. (Comparison will be based on
            lexicographic comparison. It is guaranteed that two strings are
            lexicographically equal if and only if they have identical binary
            representations.).
      type: object
      required:
        - collection_name
      title: GetDocumentInfoListRequest
    GetDocumentInfoListResponse:
      properties:
        documents:
          items:
            $ref: '#/components/schemas/DocumentMetadataResponse'
          type: array
          title: Documents
      type: object
      required:
        - documents
      title: GetDocumentInfoListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentMetadataResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        collection_name:
          type: string
          title: Collection Name
        path:
          type: string
          title: Path
        metadata:
          $ref: '#/components/schemas/DocumentMetadataJson'
        index_status:
          $ref: '#/components/schemas/DocumentIndexStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        size:
          type: integer
          title: Size
          description: The total size of the raw document data, in bytes.
        num_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Pages
          description: >-
            The number of pages in this document. This will be `null` if the
            document is parsing or failed to parse. It can also be `null` if the
            document is a filetype that does not support pages.
        file_url:
          type: string
          title: File Url
          description: >-
            A URL to the document data, which can be used to download the raw
            document content or to display the document in frontend
            applications.


            NOTE: If a `/documents/update-document` call returned a new document
            id, then this url will be invalidated and must be retrieved again.
      type: object
      required:
        - id
        - collection_name
        - path
        - metadata
        - index_status
        - created_at
        - size
        - num_pages
        - file_url
      title: DocumentMetadataResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentMetadataJson:
      additionalProperties:
        anyOf:
          - type: string
          - items:
              type: string
            type: array
      type: object
    DocumentIndexStatus:
      type: string
      enum:
        - not_parsed
        - parsing
        - not_indexed
        - indexing
        - indexed
        - parsing_failed
        - indexing_failed
      title: DocumentIndexStatus
  securitySchemes:
    HTTPBearer:
      type: http
      description: >-
        The `Authorization` header must be provided in the format `Bearer
        <your-api-key>`.


        You can get your API Key at the
        [Dashboard](https://dashboard.zeroentropy.dev/)!
      scheme: bearer

````